RenderInputTag (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.taglib

## [Java] Class RenderInputTag

- org.codehaus.groovy.grails.web.taglib.RenderInputTag

- A tag that attempts to render an input for a bean property into an appropriate component based on the type. It uses the templates defined in "grails-app/views/scaffolding" to achieve this by looking up the template by type. Example: `` Produces for Example (unless customised): ``

  Authors:
    Graeme Rocher
  Since:
    12-Jan-2006

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `PATH_PREFIX` |
    `static java.lang.String` | `PATH_SUFFIX` |
    `static java.lang.String` | `TAG_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class RequestContextTag` | `applicationContext, attributes, bean, contextPath, grailsApplication, out, registry, request, response, servletContext, urlPathHelper`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected RenderInputTag ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `doEndTagInternal()`
    `protected void` | `doStartTagInternal()`
    `java.lang.String` | `findUriForType(java.lang.Class<?> type)`
    `java.lang.Object` | `getBean()`
    `java.lang.String` | `getProperty()`
    `boolean` | `isDynamicAttribute(java.lang.String attr)`
    `void` | `setBean(java.lang.Object bean)`
    `void` | `setProperty(java.lang.String property)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RequestContextTag` | `doEndTag, doEndTagInternal, doStartTag, doStartTagInternal, getName, getRegistry, init, setAttribute, setAttributes, setWriter`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String PATH_PREFIX

    - #### public static final java.lang.String PATH_SUFFIX

    - #### public static final java.lang.String TAG_NAME

  - ### Constructor Detail

    - #### protected RenderInputTag()

  - ### Method Detail

    - #### @java.lang.Override protected void doEndTagInternal()

    - #### @java.lang.Override protected void doStartTagInternal()

    - #### public java.lang.String findUriForType(java.lang.Class<?> type)

    - #### public java.lang.Object getBean()

    - #### public java.lang.String getProperty()

    - #### public boolean isDynamicAttribute(java.lang.String attr)

    - #### public void setBean(java.lang.Object bean)

    - #### public void setProperty(java.lang.String property)